﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register TagPrefix="radcln" Namespace="Telerik.WebControls" Assembly="RadCalendar.Net2" %>
<%@ Register TagPrefix="radm" Namespace="Telerik.WebControls" Assembly="RadMenu.Net2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>

            <script type="text/javascript">
            var contextDate = null;
            function ShowContextMenu(e, stringDate)
            {
                var targetCell = FindTargetCell(e);
                //if the targetCell does not hava e DayId property, the clicked cell is not a Date cell
                if (typeof(targetCell.DayId) == "undefined")
                {
                    return;
                }
                contextDate = GetCellDate(targetCell);
                
                var contextMenu = <%= RadMenu1.ClientID %>;
                contextMenu.Show(e);
                
                //suppresses the default context menu of the browser:
                e.returnValue = false;
                if (e.preventDefault)
                    e.preventDefault();
            }
            
            function FindTargetCell(e)
            {
                var target = e.srcElement || e.target;
                while (target && target.tagName.toLowerCase() != "td")
                {
                    target = target.parentNode;
                }
                
                return target;
            }
            
            function GetCellDate(cell)
            {
                var tmp = cell.DayId.split("_");
                var year = tmp[tmp.length - 3];
                var month = tmp[tmp.length - 2];
                var day = tmp[tmp.length - 1];
                
                return new Date(year, (month - 1), day);
            }
            
            function OnClick(sender, args)
            {
                if (args.Item.Text == "Log Date")
                    document.getElementById("log").innerHTML += contextDate.toDateString()+ "<br/>";
            }
            
            window.onload = function()
                {                    
                    if (window.addEventListener)
                    {
                        document.getElementById("RadCalendar1").addEventListener("contextmenu", ShowContextMenu, false);
                    }
                    else
                    {
                        document.getElementById("RadCalendar1").attachEvent("oncontextmenu", ShowContextMenu);
                    }
                }
            </script>

            <radcln:RadCalendar ID="RadCalendar1" runat="server" Skin="Telerik">
            </radcln:RadCalendar>
            <radm:RadMenu ID="RadMenu1" runat="server" Skin="Outlook" IsContext="True" OnClientItemClicked="OnClick"
                ContextMenuElementID="none">
                <Items>
                    <radm:RadMenuItem Text="Log Date" />
                    <radm:RadMenuItem Text="No action" />
                </Items>
            </radm:RadMenu>

            <div id="log">
                &nbsp;</div>

        </div>
    </form>
</body>
</html>
